package com.red.circle;

import com.red.circle.framework.cloud.annotation.RedCircleCloudApplication;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;

/**
 * Spring Boot Starter.
 *
 * @author pengliang on 2023/10/20
 */
@Slf4j
@RedCircleCloudApplication
public class SchedulingApplication {

  public static void main(String[] args) {
    log.info("Begin to start Spring Boot Application");
    long startTime = System.currentTimeMillis();
    SpringApplication.run(SchedulingApplication.class, args);
    long endTime = System.currentTimeMillis();
    log.info("End starting Spring Boot Application, Time used: " + (endTime - startTime));
  }

}

